#!@PERL@ @PERLWARN@
#
#   sgmltools.in
#
#   $Id: sgmltools.in,v 1.5 1998/06/29 19:59:09 cg Exp $
#
#   SGML-Tools driver. Calls all other SGML-Tools components, contains
#   configuration information, etcetera.
#
package main;

sub BEGIN 
{
  require 5.004;
}
use strict;

use vars qw($prefix $LibDir $BinDir $progs);

$prefix = "@prefix@";
$LibDir = "@LIBDIR@";
$BinDir = "@BINDIR@";

use lib "@LIBDIR@";
use lib "@prefix@/perl5";
use lib "@prefix@/lib/perl5";
$progs = {
  "NSGMLS" => "@NSGMLS@",
  "SGMLSASP" => "@SGMLSASP@",
  "GROFF" => "@GROFF@",
  "GROFFMACRO" => "@GROFFMACRO@"
};

require SGMLTools;
&SGMLTools::init;

my @FileList = SGMLTools::process_options ($0, @ARGV);
for my $curfile (@FileList)
  {
    SGMLTools::process_file ($curfile);
  }

exit 0;

